#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=Liens.ico
#AutoIt3Wrapper_Compression=4
#AutoIt3Wrapper_Res_Language=1036
#AutoIt3Wrapper_Res_requestedExecutionLevel=asInvoker
#AutoIt3Wrapper_Run_Obfuscator=y
#Obfuscator_Parameters=/striponlyincludes
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
;-----------------------------------------------------
;------------------ PRESENTATION ---------------------
;-----------------------------------------------------
; Version AutoIt :    3.3.8.0
; Langue     :        Francais
; Plateforme :        Windows XP
; Auteur    :        Steph
;
; Fonction du script : Concentration, sauvegarde et modification de liens cliquables dans une fentre.
;
; Version 1.7.1 : 04/03/2012	; dfinition des versions 1=volution(s) majeure(s).0=volution(s) mineure(s).1=bug(s) prsent(s)
;-----------------------------------------------------
;--------------------- INCLUDES ----------------------
;-----------------------------------------------------
#include <GDIPlus.au3>
#include <WinAPI.au3>
#include <WindowsConstants.au3>
#include <GuiConstantsEx.au3>
#include <File.au3>
#include <GUIScrollbars_Ex.au3>
;-----------------------------------------------------
Opt("TrayIconHide", 0)
Opt("GUIOnEventMode",1)
Opt("MustDeclareVars", 1)
;------------------------------------------------------------------------------------------
;- EXTRACTION (INSTALLATION) FICHIERS PNG, TXT, AU3 & ICO SI INEXISTANT + DEPLACEMENT EXE -
;------------------------------------------------------------------------------------------
Global $MyDir, $MyFile, $MyFile1, $MyFile2, $MyFile3, $MyFile4, $MyFile5

$MyDir = @ProgramFilesDir & "\LIENS\"
$MyFile = "Star.png"
$MyFile1 =  "Lisez-moi.txt"
$MyFile2 = "Source.au3"
$MyFile3 = "Liens.exe"
$MyFile4 = @DesktopDir & "\Liens.lnk"
$MyFile5 = "Liens.ico"

If Not FileExists($MyDir & $MyFile & $MyFile1 & $MyFile2 & $MyFile5) Then
	If Not FileExists($MyDir) Then DirCreate($MyDir)
		FileInstall(".\Star.png", $MyDir & $MyFile)
		FileInstall(".\Lisez-moi.txt", $MyDir & $MyFile1)
		FileInstall(".\Liens_Obfuscated.au3", $MyDir & $MyFile2)
		FileInstall(".\Liens.ico", $MyDir & $MyFile5)
EndIf
If FileExists($MyDir & $MyFile3) Then
	Else
		FileMove(@ScriptName, $MyDir)
EndIf
	sleep(250)
If Not FileExists($MyFile4) Then
		FileCreateShortcut($MyDir & @ScriptName, @DesktopDir & "\Liens.lnk", $MyDir, "", "Description", "C:\Program Files\LIENS\Liens.ico", @SW_MINIMIZE)
		Sleep(250)
EndIf
		sleep(250)
;----------------------------------------------------------------------
;------------ CREATION MODELE FICHIER INI SI INEXISTANT ---------------
;----------------------------------------------------------------------
Global $file

$file = @ProgramFilesDir & "\LIENS\Liens.ini"

if FileExists($file) Then
		Sleep(250)
	Else
		local $file_create = FileOpen($file, 1)

			FileWrite($file_create, "[section]" & @CRLF)
			FileWrite($file_create, "ligne1=http://www.zmws.com/forum/" & @CRLF)
			FileWrite($file_create, "ligne2=http://autoitscript.fr/forum/" & @CRLF)
			FileWrite($file_create, "ligne3=http://www.autoitscript.com/forum/" & @CRLF)
			FileWrite($file_create, "ligne4=http://dailycupoftech.com/useful-autoit-scriptlets/" & @CRLF)
			FileWrite($file_create, "ligne5=http://www.cheat-gam3.com/archive-prog/" & @CRLF)
			FileWrite($file_create, "ligne6=http://college.magalas34.pagesperso-orange.fr/nt4_autoIt.htm" & @CRLF)
			FileWrite($file_create, "ligne7=" & @CRLF)
			FileWrite($file_create, "ligne8=" & @CRLF)
			FileWrite($file_create, "ligne9=" & @CRLF)
			FileWrite($file_create, "ligne10=")

		FileClose($file_create)
	Sleep(1000)
EndIf
;----------------------------------------------------------------------
;--------------------------- CREATION GUI -----------------------------
;----------------------------------------------------------------------
#Region ### lancer Koda GUI section ### Form=

Global $hGUI, $img, $Btn1, $Btn2, $Btn3, $Btn4, $Btn5, $Btn6, $Btn7, $hImage, $hGraphic

$hGUI = GUICreate("FAVORIS - v1.7.1", 501, 260, 500, 100, $WS_BORDER)
    GUISetState(@SW_SHOW)

$img = @ScriptDir & "\Star.png"

_GDIPlus_Startup()
$hImage = _GDIPlus_ImageLoadFromFile($img)
$hGraphic = _GDIPlus_GraphicsCreateFromHWND($hGUI)

GUIRegisterMsg($WM_PAINT, "MY_WM_PAINT")

$Btn1 = GUICtrlCreateButton("Modifier/Voir", 20, 174, 75, 25, 0)
		GUICtrlSetTip(-1, "Modifier et/ou voir le fichier 'Liens.ini'")
		GUICtrlSetOnEvent(-1, "modifier")
		GUISetState(@SW_SHOWNOACTIVATE)

$Btn2 = GUICtrlCreateButton("Actualiser", 100, 174, 75, 25, 0)
		GUICtrlSetTip(-1, "Relancer l'application")
		GUICtrlSetOnEvent(-1, "actualiser")
		GUISetState(@SW_SHOWNOACTIVATE)

$Btn3 = GUICtrlCreateButton("Reset", 210, 174, 75, 25, 0)
		GUICtrlSetTip(-1, "Effacer tous les liens")
		GUICtrlSetOnEvent(-1, "reset")
		GUISetState(@SW_SHOWNOACTIVATE)

$Btn4 = GUICtrlCreateButton("Vrifier", 210, 204, 75, 25, 0)
		GUICtrlSetTip(-1, "Vrifier le fichier de sauvegarde 'Liens_bak.txt'")
		GUICtrlSetOnEvent(-1, "lancer13")
		GUISetState(@SW_SHOWNOACTIVATE)

$Btn5 = GUICtrlCreateButton("Quitter", 290, 174, 75, 25, 0)
		GUICtrlSetTip(-1, "Quitter l'application")
		GUICtrlSetOnEvent(-1, "quitter")
		GUISetState(@SW_SHOWNOACTIVATE)

$Btn6 = GUICtrlCreateButton("Explorer", 20, 204, 75, 25, 0)
		GUICtrlSetTip(-1, "Ouvrir le dossier d'installation")
		GUICtrlSetOnEvent(-1, "explorer")
		GUISetState(@SW_SHOWNOACTIVATE)

$Btn7 = GUICtrlCreateButton("Sauvegarder", 100, 204, 75, 25, 0)
		GUICtrlSetTip(-1, "Sauvegarder les liens actuels")
		GUICtrlSetOnEvent(-1, "sauvegarder")
		GUISetState(@SW_SHOWNOACTIVATE)

GUICtrlCreateLabel("Lisez-moi", 445, 220, 50, 17)
		GUICtrlSetCursor(-1, 4)
		GUICtrlSetOnEvent(-1, "lancer11")
		GUISetState(@SW_SHOW)

GUICtrlCreateLabel("par Steph", 414, 130, 50, 17)
	GUISetState(@SW_SHOW)

Global $Font, $vide, $url1, $url2, $url3, $url4, $url5, $url6, $url7, $url8, $url9, $url10

$Font = "MS Sans Serif"
$vide = ""

$url1 = IniRead($file, "section", "ligne1", $vide)
$url2 = IniRead($file, "section", "ligne2", $vide)
$url3 = IniRead($file, "section", "ligne3", $vide)
$url4 = IniRead($file, "section", "ligne4", $vide)
$url5 = IniRead($file, "section", "ligne5", $vide)
$url6 = IniRead($file, "section", "ligne6", $vide)
$url7 = IniRead($file, "section", "ligne7", $vide)
$url8 = IniRead($file, "section", "ligne8", $vide)
$url9 = IniRead($file, "section", "ligne9", $vide)
$url10 = IniRead($file, "section", "ligne10", $vide)

GUICtrlCreateGroup("Mes liens", 10, 12, 365, 153)
GUICtrlCreateGroup("", -99, -99, 1, 1)
    GUISetState(@SW_SHOW)

GUICtrlCreateLabel("1.", 23, 46, 10, 17)
GUICtrlCreateLabel($url1, 38, 46, 150, 17)
    GUISetState(@SW_SHOW)

If $url1=$vide Then
		GUICtrlCreateLabel("vide", 38, 46, 150, 17)
		GUICtrlSetCursor(-1, 2)
	Else
		GUICtrlSetFont(-1, 8, 400, 4, $Font)
		GUICtrlSetColor(-1, 0x0000FF)
		GUICtrlSetCursor(-1, 0)
		GUICtrlSetOnEvent(-1, "lancer1")
EndIf

GUICtrlCreateLabel("2.", 23, 70, 10, 17)
GUICtrlCreateLabel($url2, 38, 70, 150, 17)
    GUISetState(@SW_SHOW)

If $url2=$vide Then
		GUICtrlCreateLabel("vide", 38, 70, 150, 17)
		GUICtrlSetCursor(-1, 2)
	Else
		GUICtrlSetFont(-1, 8, 400, 4, $Font)
		GUICtrlSetColor(-1, 0x0000FF)
		GUICtrlSetCursor(-1, 0)
		GUICtrlSetOnEvent(-1, "lancer2")
EndIf

GUICtrlCreateLabel("3.", 23, 94, 10, 17)
GUICtrlCreateLabel($url3, 38, 94, 150, 17)
    GUISetState(@SW_SHOW)

If $url3=$vide Then
		GUICtrlCreateLabel("vide", 38, 94, 150, 17)
		GUICtrlSetCursor(-1, 2)
	Else
		GUICtrlSetFont(-1, 8, 400, 4, $Font)
		GUICtrlSetColor(-1, 0x0000FF)
		GUICtrlSetCursor(-1, 0)
		GUICtrlSetOnEvent(-1, "lancer3")
EndIf

GUICtrlCreateLabel("4.", 23, 118, 10, 17)
GUICtrlCreateLabel($url4, 38, 118, 150, 17)
    GUISetState(@SW_SHOW)

If $url4=$vide Then
		GUICtrlCreateLabel("vide", 38, 118, 150, 17)
		GUICtrlSetCursor(-1, 2)
	Else
		GUICtrlSetFont(-1, 8, 400, 4, $Font)
		GUICtrlSetColor(-1, 0x0000FF)
		GUICtrlSetCursor(-1, 0)
		GUICtrlSetOnEvent(-1, "lancer4")
EndIf

GUICtrlCreateLabel("5.", 23, 142, 10, 17)
GUICtrlCreateLabel($url5, 38, 142, 150, 17)
    GUISetState(@SW_SHOW)

If $url5=$vide Then
		GUICtrlCreateLabel("vide", 38, 142, 150, 17)
		GUICtrlSetCursor(-1, 2)
	Else
		GUICtrlSetFont(-1, 8, 400, 4, $Font)
		GUICtrlSetColor(-1, 0x0000FF)
		GUICtrlSetCursor(-1, 0)
		GUICtrlSetOnEvent(-1, "lancer5")
EndIf

GUICtrlCreateLabel("6.", 195, 46, 10, 17)
GUICtrlCreateLabel($url6, 211, 46, 150, 17)
    GUISetState(@SW_SHOW)

If $url6=$vide Then
		GUICtrlCreateLabel("vide", 211, 46, 150, 17)
		GUICtrlSetCursor(-1, 2)
	Else
		GUICtrlSetFont(-1, 8, 400, 4, $Font)
		GUICtrlSetColor(-1, 0x0000FF)
		GUICtrlSetCursor(-1, 0)
		GUICtrlSetOnEvent(-1, "lancer6")
EndIf

GUICtrlCreateLabel("7.", 195, 70, 10, 17)
GUICtrlCreateLabel($url7, 211, 70, 150, 17)
    GUISetState(@SW_SHOW)

If $url7=$vide Then
		GUICtrlCreateLabel("vide", 211, 70, 150, 17)
		GUICtrlSetCursor(-1, 2)
	Else
		GUICtrlSetFont(-1, 8, 400, 4, $Font)
		GUICtrlSetColor(-1, 0x0000FF)
		GUICtrlSetCursor(-1, 0)
		GUICtrlSetOnEvent(-1, "lancer7")
EndIf

GUICtrlCreateLabel("8.", 195, 94, 10, 17)
GUICtrlCreateLabel($url8, 211, 94, 150, 17)
    GUISetState(@SW_SHOW)

If $url8=$vide Then
		GUICtrlCreateLabel("vide", 211, 94, 150, 17)
		GUICtrlSetCursor(-1, 2)
	Else
		GUICtrlSetFont(-1, 8, 400, 4, $Font)
		GUICtrlSetColor(-1, 0x0000FF)
		GUICtrlSetCursor(-1, 0)
		GUICtrlSetOnEvent(-1, "lancer8")
EndIf

GUICtrlCreateLabel("9.", 195, 118, 10, 17)
GUICtrlCreateLabel($url9, 211, 118, 150, 17)
    GUISetState(@SW_SHOW)

If $url9=$vide Then
		GUICtrlCreateLabel("vide", 211, 118, 150, 17)
		GUICtrlSetCursor(-1, 2)
	Else
		GUICtrlSetFont(-1, 8, 400, 4, $Font)
		GUICtrlSetColor(-1, 0x0000FF)
		GUICtrlSetCursor(-1, 0)
		GUICtrlSetOnEvent(-1, "lancer9")
EndIf

GUICtrlCreateLabel("10.", 189, 142, 15, 17)
GUICtrlCreateLabel($url10, 211, 142, 150, 17)
    GUISetState(@SW_SHOW)

If $url10=$vide Then
		GUICtrlCreateLabel("vide", 211, 142, 150, 17)
		GUICtrlSetCursor(-1, 2)
	Else
		GUICtrlSetFont(-1, 8, 400, 4, $Font)
		GUICtrlSetColor(-1, 0x0000FF)
		GUICtrlSetCursor(-1, 0)
		GUICtrlSetOnEvent(-1, "lancer10")
EndIf

#EndRegion ### END Koda GUI section ###

do
	Local $msg = GUIGetMsg()

Until $msg = $GUI_EVENT_CLOSE

	_GDIPlus_GraphicsDispose($hGraphic)
	_GDIPlus_ImageDispose($hImage)
	_GDIPlus_Shutdown()
;----------------------------------------------------------------------
;---------------------------- FONCTIONS -------------------------------
;----------------------------------------------------------------------
Func MY_WM_PAINT($hWnd, $Msg, $wParam, $lParam)
		_WinAPI_RedrawWindow($hGUI, 0, 0, $RDW_UPDATENOW)
		_GDIPlus_GraphicsDrawImage($hGraphic, $hImage, 389, 25)
		_WinAPI_RedrawWindow($hGUI, 0, 0, $RDW_VALIDATE)
    Return $GUI_RUNDEFMSG
EndFunc ;==> MY_WM_PAINT()
Func lancer1()
		Run(@ComSpec & " /c start file:" & $url1, "", @SW_HIDE)
EndFunc
Func lancer2()
		Run(@ComSpec & " /c start file:" & $url2, "", @SW_HIDE)
EndFunc
Func lancer3()
		Run(@ComSpec & " /c start file:" & $url3, "", @SW_HIDE)
EndFunc
Func lancer4()
		Run(@ComSpec & " /c start file:" & $url4, "", @SW_HIDE)
EndFunc
Func lancer5()
		Run(@ComSpec & " /c start file:" & $url5, "", @SW_HIDE)
EndFunc
Func lancer6()
		Run(@ComSpec & " /c start file:" & $url6, "", @SW_HIDE)
EndFunc
Func lancer7()
		Run(@ComSpec & " /c start file:" & $url7, "", @SW_HIDE)
EndFunc
Func lancer8()
		Run(@ComSpec & " /c start file:" & $url8, "", @SW_HIDE)
EndFunc
Func lancer9()
		Run(@ComSpec & " /c start file:" & $url9, "", @SW_HIDE)
EndFunc
Func lancer10()
		Run(@ComSpec & " /c start file:" & $url10, "", @SW_HIDE)
EndFunc
Func lancer11()
		Run(@ComSpec & " /c cd %ProgramFiles%\LIENS\ && start Lisez-moi.txt", "", @SW_HIDE)
EndFunc
Func lancer12()
	If Not FileExists($file) Then
			MsgBox(262144+48+0, "Attention", "Le fichier 'Liens.ini' n'existe pas")
		Else
			Run(@ComSpec & " /c cd %ProgramFiles%\LIENS\ && start Liens.ini", "", @SW_HIDE)
	EndIf
EndFunc
Func lancer13()
	Local $file_bak = @ProgramFilesDir & "\LIENS\SAVE\Liens_bak.txt"

		If Not FileExists($file_bak) Then
				MsgBox(262144+48+0, "Attention", "Le fichier 'Liens_bak.txt' n'existe pas")
			Else
				Run(@ComSpec & " /c cd %ProgramFiles%\LIENS\SAVE && start Liens_bak.txt", "", @SW_HIDE)
		EndIf
EndFunc ;==> lancer1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13()
;----------------------------------------------------------------------
;-------------------FONCTION (MODIFIER) GUI INI EDIT ------------------
;----------------------------------------------------------------------
#Region ### lancer Koda GUI section ### Form=
Func modifier()

	Global $gui_modifier, $info1, $bt1, $info2, $bt2, $info3, $bt3, $info4, $bt4, $info5, $bt5, $info6, $bt6, $info7, $bt7, $info8, $bt8, $info9, $bt9, $info10, $bt10, $btn1, $btn2, $btn3

$gui_modifier = GUICreate("MODIFIER LIENS.INI", 340, 408, 100, 50, $WS_BORDER)

GUICtrlCreateLabel("Entrez manuellement ou collez vos liens dans les champs de texte." & @crlf & "Vrifiez que vos liens commencent bien par 'http' ou 'https' !", 13, 10)

GUICtrlCreateLabel("1.", 10, 53)
$info1 = GUICtrlCreateInput("http://", 30, 50, 180, 20)
$bt1 = GUICtrlCreateButton("Ajouter", 235, 47, 80)
		GUICtrlSetTip(-1, "Ajouter le lien ?")
		GUICtrlSetOnEvent(-1, "save_1_ajouter")
		GUISetState(@SW_SHOWNOACTIVATE)

GUICtrlCreateLabel("2.", 10, 83)
$info2 = GUICtrlCreateInput("http://", 30, 80, 180, 20)
$bt2 = GUICtrlCreateButton("Ajouter", 235, 77, 80)
		GUICtrlSetTip(-1, "Ajouter le lien ?")
		GUICtrlSetOnEvent(-1, "save_2_ajouter")
		GUISetState(@SW_SHOWNOACTIVATE)

GUICtrlCreateLabel("3.", 10, 113)
$info3 = GUICtrlCreateInput("http://", 30, 110, 180, 20)
$bt3 = GUICtrlCreateButton("Ajouter", 235, 107, 80)
		GUICtrlSetTip(-1, "Ajouter le lien ?")
		GUICtrlSetOnEvent(-1, "save_3_ajouter")
		GUISetState(@SW_SHOWNOACTIVATE)

GUICtrlCreateLabel("4.", 10, 143)
$info4 = GUICtrlCreateInput("http://", 30, 140, 180, 20)
$bt4 = GUICtrlCreateButton("Ajouter", 235, 137, 80)
		GUICtrlSetTip(-1, "Ajouter le lien ?")
		GUICtrlSetOnEvent(-1, "save_4_ajouter")
		GUISetState(@SW_SHOWNOACTIVATE)

GUICtrlCreateLabel("5.", 10, 173)
$info5 = GUICtrlCreateInput("http://", 30, 170, 180, 20)
$bt5 = GUICtrlCreateButton("Ajouter", 235, 167, 80)
		GUICtrlSetTip(-1, "Ajouter le lien ?")
		GUICtrlSetOnEvent(-1, "save_5_ajouter")
		GUISetState(@SW_SHOWNOACTIVATE)

GUICtrlCreateLabel("6.", 10, 203)
$info6 = GUICtrlCreateInput("http://", 30, 200, 180, 20)
$bt6 = GUICtrlCreateButton("Ajouter", 235, 197, 80)
		GUICtrlSetTip(-1, "Ajouter le lien ?")
		GUICtrlSetOnEvent(-1, "save_6_ajouter")
		GUISetState(@SW_SHOWNOACTIVATE)

GUICtrlCreateLabel("7.", 10, 233)
$info7 = GUICtrlCreateInput("http://", 30, 230, 180, 20)
$bt7 = GUICtrlCreateButton("Ajouter", 235, 227, 80)
		GUICtrlSetTip(-1, "Ajouter le lien ?")
		GUICtrlSetOnEvent(-1, "save_7_ajouter")
		GUISetState(@SW_SHOWNOACTIVATE)

GUICtrlCreateLabel("8.", 10, 263)
$info8 = GUICtrlCreateInput("http://", 30, 260, 180, 20)
$bt8 = GUICtrlCreateButton("Ajouter", 235, 257, 80)
		GUICtrlSetTip(-1, "Ajouter le lien ?")
		GUICtrlSetOnEvent(-1, "save_8_ajouter")
		GUISetState(@SW_SHOWNOACTIVATE)

GUICtrlCreateLabel("9.", 10, 293)
$info9 = GUICtrlCreateInput("http://", 30, 290, 180, 20)
$bt9 = GUICtrlCreateButton("Ajouter", 235, 287, 80)
		GUICtrlSetTip(-1, "Ajouter le lien ?")
		GUICtrlSetOnEvent(-1, "save_9_ajouter")
		GUISetState(@SW_SHOWNOACTIVATE)

GUICtrlCreateLabel("10.", 4, 323)
$info10 = GUICtrlCreateInput("http://", 30, 320, 180, 20)
$bt10 = GUICtrlCreateButton("Ajouter", 235, 317, 80)
		GUICtrlSetTip(-1, "Ajouter le lien ?")
		GUICtrlSetOnEvent(-1, "save_10_ajouter")
		GUISetState(@SW_SHOWNOACTIVATE)

$btn1 = GUICtrlCreateButton("Actualiser", 10, 350, 75, 25, 0)
		GUICtrlSetTip(-1, "Relancer l'application")
		GUICtrlSetOnEvent(-1, "actualiser")
		GUISetState(@SW_SHOWNOACTIVATE)

$btn2 = GUICtrlCreateButton("Voir", 90, 350, 75, 25, 0)
		GUICtrlSetTip(-1, "Voir le fichier 'Liens.ini'")
		GUICtrlSetOnEvent(-1, "lancer12")
		GUISetState(@SW_SHOWNOACTIVATE)

$btn3 = GUICtrlCreateButton("Quitter", 170, 350, 75, 25, 0)
		GUICtrlSetTip(-1, "Quitter la fentre")
		GUICtrlSetOnEvent(-1, "quitter_gui_modifier")
		GUISetState(@SW_SHOWNOACTIVATE)

GUISetState(@SW_SHOW)

EndFunc ;==> modifier() ;==> $btn1
#EndRegion ### END Koda GUI section ###

do
	Local $msg = GUIGetMsg()

Until $msg = $GUI_EVENT_CLOSE
Func write_1_ini()
		Local $file = @ScriptDir & "\Liens.ini"

			If $file = -1 Then
		MsgBox(0, "Erreur", "fichier 'Liens.ini' introuvable ! Pour corriger le problme, veuillez relancer l'application.")
		Exit
			EndIf
				_FileWriteToLine($file, 2, "ligne1=" & GUICtrlRead($info1), 1)
					Sleep(250)
		Msgbox(262144+64+0,"", "Le lien a bien t ajout  votre fichier 'Liens.ini' !" & @CRLF & "Pour vrifier, veuillez relancer l'application. ")
EndFunc ;==> write_1_ini()
Func write_2_ini()
		Local $file = @ScriptDir & "\Liens.ini"

			If $file = -1 Then
		MsgBox(0, "Erreur", "fichier 'Liens.ini' introuvable ! Pour corriger le problme, veuillez relancer l'application.")
		Exit
			EndIf
				_FileWriteToLine($file, 3, "ligne2=" & GUICtrlRead($info2), 1)
					Sleep(250)
		Msgbox(262144+64+0,"", "Le lien a bien t ajout  votre fichier 'Liens.ini' !" & @CRLF & "Pour vrifier, veuillez relancer l'application. ")
EndFunc ;==> write_2_ini()
Func write_3_ini()
		Local $file = @ScriptDir & "\Liens.ini"

			If $file = -1 Then
		MsgBox(0, "Erreur", "fichier 'Liens.ini' introuvable ! Pour corriger le problme, veuillez relancer l'application.")
		Exit
			EndIf
				_FileWriteToLine($file, 4, "ligne3=" & GUICtrlRead($info3), 1)
					Sleep(250)
		Msgbox(262144+64+0,"", "Le lien a bien t ajout  votre fichier 'Liens.ini' !" & @CRLF & "Pour vrifier, veuillez relancer l'application. ")
EndFunc ;==> write_3_ini()
Func write_4_ini()
		Local $file = @ScriptDir & "\Liens.ini"

			If $file = -1 Then
		MsgBox(0, "Erreur", "fichier 'Liens.ini' introuvable ! Pour corriger le problme, veuillez relancer l'application.")
		Exit
			EndIf
				_FileWriteToLine($file, 5, "ligne4=" & GUICtrlRead($info4), 1)
					Sleep(250)
		Msgbox(262144+64+0,"", "Le lien a bien t ajout  votre fichier 'Liens.ini' !" & @CRLF & "Pour vrifier, veuillez relancer l'application. ")
EndFunc ;==> write_4_ini()
Func write_5_ini()
		Local $file = @ScriptDir & "\Liens.ini"

			If $file = -1 Then
		MsgBox(0, "Erreur", "fichier 'Liens.ini' introuvable ! Pour corriger le problme, veuillez relancer l'application.")
		Exit
			EndIf
				_FileWriteToLine($file, 6, "ligne5=" & GUICtrlRead($info5), 1)
					Sleep(250)
		Msgbox(262144+64+0,"", "Le lien a bien t ajout  votre fichier 'Liens.ini' !" & @CRLF & "Pour vrifier, veuillez relancer l'application. ")
EndFunc ;==> write_5_ini()
Func write_6_ini()
		Local $file = @ScriptDir & "\Liens.ini"

			If $file = -1 Then
		MsgBox(0, "Erreur", "fichier 'Liens.ini' introuvable ! Pour corriger le problme, veuillez relancer l'application.")
		Exit
			EndIf
				_FileWriteToLine($file, 7, "ligne6=" & GUICtrlRead($info6), 1)
					Sleep(250)
		Msgbox(262144+64+0,"", "Le lien a bien t ajout  votre fichier 'Liens.ini' !" & @CRLF & "Pour vrifier, veuillez relancer l'application. ")
EndFunc ;==> write_6_ini()
Func write_7_ini()
		Local $file = @ScriptDir & "\Liens.ini"

			If $file = -1 Then
		MsgBox(0, "Erreur", "fichier 'Liens.ini' introuvable ! Pour corriger le problme, veuillez relancer l'application.")
		Exit
			EndIf
				_FileWriteToLine($file, 8, "ligne7=" & GUICtrlRead($info7), 1)
					Sleep(250)
		Msgbox(262144+64+0,"", "Le lien a bien t ajout  votre fichier 'Liens.ini' !" & @CRLF & "Pour vrifier, veuillez relancer l'application. ")
EndFunc ;==> write_7_ini()
Func write_8_ini()
		Local $file = @ScriptDir & "\Liens.ini"

			If $file = -1 Then
		MsgBox(0, "Erreur", "fichier 'Liens.ini' introuvable ! Pour corriger le problme, veuillez relancer l'application.")
		Exit
			EndIf
				_FileWriteToLine($file, 9, "ligne8=" & GUICtrlRead($info8), 1)
					Sleep(250)
		Msgbox(262144+64+0,"", "Le lien a bien t ajout  votre fichier 'Liens.ini' !" & @CRLF & "Pour vrifier, veuillez relancer l'application. ")
EndFunc ;==> write_8_ini()
Func write_9_ini()
		Local $file = @ScriptDir & "\Liens.ini"

			If $file = -1 Then
		MsgBox(0, "Erreur", "fichier 'Liens.ini' introuvable ! Pour corriger le problme, veuillez relancer l'application.")
		Exit
			EndIf
				_FileWriteToLine($file, 10, "ligne9=" & GUICtrlRead($info9), 1)
					Sleep(250)
		Msgbox(262144+64+0,"", "Le lien a bien t ajout  votre fichier 'Liens.ini' !" & @CRLF & "Pour vrifier, veuillez relancer l'application. ")
EndFunc ;==> write_9_ini()
Func write_10_ini()
		Local $file = @ScriptDir & "\Liens.ini"

			If $file = -1 Then
		MsgBox(0, "Erreur", "fichier 'Liens.ini' introuvable ! Pour corriger le problme, veuillez relancer l'application.")
		Exit
			EndIf
				_FileWriteToLine($file, 11, "ligne10=" & GUICtrlRead($info10), 1)
					Sleep(250)
		Msgbox(262144+64+0,"", "Le lien a bien t ajout  votre fichier 'Liens.ini' !" & @CRLF & "Pour vrifier, veuillez relancer l'application. ")
EndFunc ;==> write_10_ini()
Func actualiser()
		If @Compiled = 1 Then
				Run(FileGetShortName(@ScriptFullPath))
			Else
				Run(FileGetShortName(@AutoItExe) & " " & FileGetShortName(@ScriptFullPath))
		EndIf
	Exit
EndFunc ;==> actualiser() ;==> $Btn2
Func reset()
	Local $file = @ScriptDir & "\Liens.ini"
	Local $Ret = _reset("Voulez-vous sauvegarder votre fichier 'Liens.ini' actuel avant de tout effacer ?")
		While 1
			If $Ret = 6 Then
				oui()
					Sleep(250)
				non()
			EndIf
			If $Ret = 7 Then
					non()
						Sleep(250)
				ExitLoop
			EndIf
			If $Ret = 2 Then
				ExitLoop
			EndIf
		WEnd
EndFunc ;==> reset()
Func _reset($Param)
			Local $Retour = MsgBox(262144+48+3, "RESET - Attention", $Param)
		Return $Retour
EndFunc ;==> _reset() ;==> reset()
Func oui()
		Local $save = $MyDir & "\SAVE\"
		Local $bak = $save & "\Liens_bak.txt"

			If Not FileExists($save) Then
					DirCreate($save)
				Else
			EndIf
	Sleep(250)
			If FileExists($bak) Then
				Else
					FileCopy(@ScriptDir & "\Liens.ini", $save & "\Liens_bak.txt")
			EndIf
	Sleep(250)
		FileOpen($save & "\Liens_bak.txt", 1)
		FileWrite($bak, @CRLF & @CRLF & "Sauvegarde du " & @MDAY & "/" & @MON & "/" & @YEAR & " " & @HOUR & ":" & @MIN & ":" & @SEC & @CRLF)
		FileClose($bak)
EndFunc ;==> oui();==> reset()
				  ;==> save_ajouter() ;==> sauvegarder()
Func write_bak()
		Local $save = $MyDir & "\SAVE\"
		Local $bak = $save & "\Liens_bak.txt"

		FileOpen($bak)
			If $url1=$vide Then
				Else
					FileWrite($bak, @CRLF & "ligne1=" & $url1)
			EndIf
			If $url2=$vide Then
				Else
					FileWrite($bak, @CRLF & "ligne2=" & $url2)
			EndIf
			If $url3=$vide Then
				Else
					FileWrite($bak, @CRLF & "ligne3=" & $url3)
			EndIf
			If $url4=$vide Then
				Else
					FileWrite($bak, @CRLF & "ligne4=" & $url4)
			EndIf
			If $url5=$vide Then
				Else
					FileWrite($bak, @CRLF & "ligne5=" & $url5)
			EndIf
			If $url6=$vide Then
				Else
					FileWrite($bak, @CRLF & "ligne6=" & $url6)
			EndIf
			If $url7=$vide Then
				Else
					FileWrite($bak, @CRLF & "ligne7=" & $url7)
			EndIf
			If $url8=$vide Then
				Else
					FileWrite($bak, @CRLF & "ligne8=" & $url8)
			EndIf
			If $url9=$vide Then
				Else
					FileWrite($bak, @CRLF & "ligne9=" & $url9)
			EndIf
			If $url10=$vide Then
				Else
					FileWrite($bak, @CRLF & "ligne10=" & $url10)
			EndIf
		FileClose($bak)
EndFunc ;==> write_bak() ;==> oui() ;==> reset()
									;==>save_ajouter() ;==> sauvegarder()
Func non()
		FileOpen($file, 2)

			FileWrite($file, "[section]" & @CRLF)
			FileWrite($file, "ligne1=" & @CRLF)
			FileWrite($file, "ligne2=" & @CRLF)
			FileWrite($file, "ligne3=" & @CRLF)
			FileWrite($file, "ligne4=" & @CRLF)
			FileWrite($file, "ligne5=" & @CRLF)
			FileWrite($file, "ligne6=" & @CRLF)
			FileWrite($file, "ligne7=" & @CRLF)
			FileWrite($file, "ligne8=" & @CRLF)
			FileWrite($file, "ligne9=" & @CRLF)
			FileWrite($file, "ligne10=")

			FileClose($file)
		Sleep(1000)
	actualiser()
EndFunc ;==> non() ;==> reset()
Func quitter()
			Exit
EndFunc ;==> quitter() ;==> $Btn5
Func explorer()
	ShellExecute($MyDir)
EndFunc ;==> explorer() ;==> $Btn6
; ----------------------- FONCTION SAVE INI FENETRE "MODIFIER" ------------------------------
Func save_1_ajouter()
	Local $file = @ScriptDir & "\Liens.ini"
	Local $Ret = _save_ajouter("Voulez-vous sauvegarder votre fichier 'Liens.ini' actuel avant d'ajouter ce lien ?")

		While 1
			If $Ret = 6 Then
				oui()
					Sleep(250)
				write_1_ini()
				ExitLoop
			EndIf
			If $Ret = 7 Then
					write_1_ini()
						Sleep(250)
				ExitLoop
			EndIf
			If $Ret = 2 Then
				ExitLoop
			EndIf
		WEnd
EndFunc ;==> save_1_ajouter()
Func save_2_ajouter()
	Local $file = @ScriptDir & "\Liens.ini"
	Local $Ret = _save_ajouter("Voulez-vous sauvegarder votre fichier 'Liens.ini' actuel avant d'ajouter ce lien ?")

		While 1
			If $Ret = 6 Then
				oui()
					Sleep(250)
				write_2_ini()
			EndIf
			If $Ret = 7 Then
					write_2_ini()
						Sleep(250)
				ExitLoop
			EndIf
			If $Ret = 2 Then
				ExitLoop
			EndIf
		WEnd
EndFunc ;==> save_2_ajouter()
Func save_3_ajouter()
	Local $file = @ScriptDir & "\Liens.ini"
	Local $Ret = _save_ajouter("Voulez-vous sauvegarder votre fichier 'Liens.ini' actuel avant d'ajouter ce lien ?")

		While 1
			If $Ret = 6 Then
				oui()
					Sleep(250)
				write_3_ini()
			EndIf
			If $Ret = 7 Then
					write_3_ini()
						Sleep(250)
				ExitLoop
			EndIf
			If $Ret = 2 Then
				ExitLoop
			EndIf
		WEnd
EndFunc ;==> save_3_ajouter()
Func save_4_ajouter()
	Local $file = @ScriptDir & "\Liens.ini"
	Local $Ret = _save_ajouter("Voulez-vous sauvegarder votre fichier 'Liens.ini' actuel avant d'ajouter ce lien ?")

		While 1
			If $Ret = 6 Then
				oui()
					Sleep(250)
				write_4_ini()
			EndIf
			If $Ret = 7 Then
					write_4_ini()
						Sleep(250)
				ExitLoop
			EndIf
			If $Ret = 2 Then
				ExitLoop
			EndIf
		WEnd
EndFunc ;==> save_4_ajouter()
Func save_5_ajouter()
	Local $file = @ScriptDir & "\Liens.ini"
	Local $Ret = _save_ajouter("Voulez-vous sauvegarder votre fichier 'Liens.ini' actuel avant d'ajouter ce lien ?")

		While 1
			If $Ret = 6 Then
				oui()
					Sleep(250)
				write_5_ini()
			EndIf
			If $Ret = 7 Then
					write_5_ini()
						Sleep(250)
				ExitLoop
			EndIf
			If $Ret = 2 Then
				ExitLoop
			EndIf
		WEnd
EndFunc ;==> save_5_ajouter()
Func save_6_ajouter()
	Local $file = @ScriptDir & "\Liens.ini"
	Local $Ret = _save_ajouter("Voulez-vous sauvegarder votre fichier 'Liens.ini' actuel avant d'ajouter ce lien ?")

		While 1
			If $Ret = 6 Then
				oui()
					Sleep(250)
				write_6_ini()
			EndIf
			If $Ret = 7 Then
					write_6_ini()
						Sleep(250)
				ExitLoop
			EndIf
			If $Ret = 2 Then
				ExitLoop
			EndIf
		WEnd
EndFunc ;==> save_6_ajouter()
Func save_7_ajouter()
	Local $file = @ScriptDir & "\Liens.ini"
	Local $Ret = _save_ajouter("Voulez-vous sauvegarder votre fichier 'Liens.ini' actuel avant d'ajouter ce lien ?")

		While 1
			If $Ret = 6 Then
				oui()
					Sleep(250)
				write_7_ini()
			EndIf
			If $Ret = 7 Then
					write_7_ini()
						Sleep(250)
				ExitLoop
			EndIf
			If $Ret = 2 Then
				ExitLoop
			EndIf
		WEnd
EndFunc ;==> save_7_ajouter()
Func save_8_ajouter()
	Local $file = @ScriptDir & "\Liens.ini"
	Local $Ret = _save_ajouter("Voulez-vous sauvegarder votre fichier 'Liens.ini' actuel avant d'ajouter ce lien ?")

		While 1
			If $Ret = 6 Then
				oui()
					Sleep(250)
				write_8_ini()
			EndIf
			If $Ret = 7 Then
					write_8_ini()
						Sleep(250)
				ExitLoop
			EndIf
			If $Ret = 2 Then
				ExitLoop
			EndIf
		WEnd
EndFunc ;==> save_8_ajouter()
Func save_9_ajouter()
	Local $file = @ScriptDir & "\Liens.ini"
	Local $Ret = _save_ajouter("Voulez-vous sauvegarder votre fichier 'Liens.ini' actuel avant d'ajouter ce lien ?")

		While 1
			If $Ret = 6 Then
				oui()
					Sleep(250)
				write_9_ini()
			EndIf
			If $Ret = 7 Then
					write_9_ini()
						Sleep(250)
				ExitLoop
			EndIf
			If $Ret = 2 Then
				ExitLoop
			EndIf
		WEnd
EndFunc ;==> save_9_ajouter()
Func save_10_ajouter()
	Local $file = @ScriptDir & "\Liens.ini"
	Local $Ret = _save_ajouter("Voulez-vous sauvegarder votre fichier 'Liens.ini' actuel avant d'ajouter ce lien ?")

		While 1
			If $Ret = 6 Then
				oui()
					Sleep(250)
				write_10_ini()
			EndIf
			If $Ret = 7 Then
					write_10_ini()
						Sleep(250)
				ExitLoop
			EndIf
			If $Ret = 2 Then
				ExitLoop
			EndIf
		WEnd
EndFunc ;==> save_10_ajouter()
Func _save_ajouter($Param)
			Local $Retour = MsgBox(262144+48+3, "SAUVEGARDE - Attention", $Param)
		Return $Retour
EndFunc ;==> _save_ajouter() ;==> save_1_2_3_4_5_6_7_8_9_10_ajouter()
Func sauvegarder()
	Local $file = @ScriptDir & "\Liens.ini"
	Local $Ret = _save_ajouter("Voulez-vous sauvegarder votre fichier 'Liens.ini' actuel avant d'ajouter ces liens ?")

		While 1
			If $Ret = 6 Then
					oui()
						Sleep(250)
					write_bak()
						Sleep(250)
					MsgBox(262144+64+0, "SAUVEGARDER - Info", "Le ou les liens affichs a/ont bien t sauvegard(s) !")
				ExitLoop
			EndIf
			If $Ret = 7 Then
				ExitLoop
			EndIf
			If $Ret = 2 Then
				ExitLoop
			EndIf
		WEnd
EndFunc ;==> sauvegarder()
Func quitter_gui_modifier()
	GUIDelete($gui_modifier)
EndFunc ;==> quitter_gui_modifier()